--------------------------------------------------------------------------------
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;
 
ENTITY TB_Dec2to4_VHDL IS
END TB_Dec2to4_VHDL;
 
ARCHITECTURE behavior OF TB_Dec2to4_VHDL IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
    COMPONENT Dec2to4_VHDL
    PORT(
         S1 : IN  std_logic;
         S0 : IN  std_logic;
         An3 : OUT  std_logic;
         An2 : OUT  std_logic;
         An1 : OUT  std_logic;
         An0 : OUT  std_logic);
    END COMPONENT;
   -------------------------------------Inputs
   signal S1 : std_logic := '0';
   signal S0 : std_logic := '0';

 	-------------------------------------Outputs
   signal An3 : std_logic;
   signal An2 : std_logic;
   signal An1 : std_logic;
   signal An0 : std_logic;
 
BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: Dec2to4_VHDL PORT MAP (
          S1 => S1,
          S0 => S0,
          An3 => An3,
          An2 => An2,
          An1 => An1,
          An0 => An0);
   ------------------------------ Stimulus process
   stim_proc: process
	   variable xxx: std_logic_vector( 1 downto 0) := "00";
   begin		
      for i in 0 to 9 loop
		   S1 <= xxx(1);
			S0 <= xxx(0);
			xxx := xxx+1;
         wait for 20 ns; 
      end loop;
      wait;
   end process;

END;
