library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Dec2to4_VHDL is
    Port ( S1,S0 :           in  std_logic;
           An3,An2,An1,An0 : out std_logic);
end Dec2to4_VHDL;

architecture Behavioral of Dec2to4_VHDL is
--	Signal Sel: std_logic_vector(1 downto 0);
begin
	process (S1,S0)
	   Variable Sel: std_logic_vector(1 downto 0);
	begin
      Sel := S1&S0; 
	   An3 <= '1'; An2 <= '1'; An1 <= '1'; An0 <= '1';
		case Sel is
		     when "00"   => An0 <= '0';
		     when "01"   => An1 <= '0';
		     when "10"   => An2 <= '0';
		     when "11"   => An3 <= '0';
			  when others => null;
      end case; 
	end process;
end Behavioral;
