VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL Clk_50MHz
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL QL(15:0)
        SIGNAL QH(23:16)
        SIGNAL QH(17)
        SIGNAL QH(18)
        SIGNAL QH(23)
        SIGNAL QL(4)
        SIGNAL Test(0)
        SIGNAL Test(1)
        SIGNAL XLXN_13
        SIGNAL Clk_xxxHz
        SIGNAL Test(1:0)
        PORT Input Clk_50MHz
        PORT Output Clk_xxxHz
        PORT Input Test(1:0)
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2001 2 2 12 36 39
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2001 2 2 12 36 39
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 2 2 12 37 29
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 2 2 12 37 29
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF m4_1e
            TIMESTAMP 2001 2 2 12 39 29
            LINE N 0 -416 96 -416 
            LINE N 0 -352 96 -352 
            LINE N 0 -288 96 -288 
            LINE N 0 -224 96 -224 
            LINE N 0 -32 96 -32 
            LINE N 320 -320 256 -320 
            LINE N 0 -160 96 -160 
            LINE N 0 -96 96 -96 
            LINE N 176 -96 96 -96 
            LINE N 176 -208 176 -96 
            LINE N 224 -32 96 -32 
            LINE N 224 -216 224 -32 
            LINE N 256 -224 96 -192 
            LINE N 256 -416 256 -224 
            LINE N 96 -448 256 -416 
            LINE N 96 -192 96 -448 
            LINE N 128 -160 96 -160 
            LINE N 128 -200 128 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 cb16ce
            PIN C Clk_50MHz
            PIN CE XLXN_3
            PIN CLR XLXN_4
            PIN CEO
            PIN Q(15:0) QL(15:0)
            PIN TC XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_2 cb8ce
            PIN C Clk_50MHz
            PIN CE XLXN_1
            PIN CLR XLXN_4
            PIN CEO
            PIN Q(7:0) QH(23:16)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_3 gnd
            PIN G XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_4 vcc
            PIN P XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_5 m4_1e
            PIN D0 QH(17)
            PIN D1 QH(18)
            PIN D2 QH(23)
            PIN D3 QL(4)
            PIN E XLXN_13
            PIN S0 Test(0)
            PIN S1 Test(1)
            PIN O Clk_xxxHz
        END BLOCK
        BEGIN BLOCK XLXI_6 vcc
            PIN P XLXN_13
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 560 1616 R0
        INSTANCE XLXI_2 560 1136 R0
        BEGIN BRANCH XLXN_1
            WIRE 480 944 560 944
            WIRE 480 944 480 1168
            WIRE 480 1168 1008 1168
            WIRE 1008 1168 1008 1488
            WIRE 944 1488 1008 1488
        END BRANCH
        BEGIN BRANCH Clk_50MHz
            WIRE 336 1488 432 1488
            WIRE 432 1488 560 1488
            WIRE 432 1008 432 1488
            WIRE 432 1008 560 1008
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 496 1392 496 1424
            WIRE 496 1424 512 1424
            WIRE 512 1424 528 1424
            WIRE 528 1424 560 1424
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 544 1104 560 1104
            WIRE 544 1104 544 1584
            WIRE 544 1584 560 1584
            WIRE 544 1584 544 1648
        END BRANCH
        BEGIN BRANCH QL(15:0)
            WIRE 944 1360 1136 1360
            BEGIN DISPLAY 1136 1360 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH QH(23:16)
            WIRE 944 880 1120 880
            BEGIN DISPLAY 1120 880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_3 480 1776 R0
        INSTANCE XLXI_4 432 1392 R0
        INSTANCE XLXI_5 1424 1376 R0
        BEGIN BRANCH QH(17)
            WIRE 1344 960 1424 960
            BEGIN DISPLAY 1344 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH QH(18)
            WIRE 1344 1024 1424 1024
            BEGIN DISPLAY 1344 1024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH QH(23)
            WIRE 1344 1088 1360 1088
            WIRE 1360 1088 1424 1088
            BEGIN DISPLAY 1344 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH QL(4)
            WIRE 1344 1152 1360 1152
            WIRE 1360 1152 1424 1152
            BEGIN DISPLAY 1344 1152 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Test(0)
            WIRE 1344 1216 1424 1216
            BEGIN DISPLAY 1344 1216 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Test(1)
            WIRE 1344 1280 1424 1280
            BEGIN DISPLAY 1344 1280 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_13
            WIRE 1344 1344 1360 1344
            WIRE 1360 1344 1424 1344
            WIRE 1344 1344 1344 1408
        END BRANCH
        BEGIN BRANCH Clk_xxxHz
            WIRE 1744 1056 1856 1056
        END BRANCH
        INSTANCE XLXI_6 1408 1408 R180
        IOMARKER 1200 1248 Test(1:0) R180 28
        BEGIN BRANCH Test(1:0)
            WIRE 1200 1248 1248 1248
        END BRANCH
        IOMARKER 336 1488 Clk_50MHz R180 28
        IOMARKER 1856 1056 Clk_xxxHz R0 28
    END SHEET
END SCHEMATIC
