VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL dp
        SIGNAL a
        SIGNAL b
        SIGNAL c
        SIGNAL d
        SIGNAL e
        SIGNAL f
        SIGNAL g
        SIGNAL Bcd(3:0)
        SIGNAL Bcd0(3:0)
        SIGNAL Bcd1(3:0)
        SIGNAL Bcd2(3:0)
        SIGNAL Bcd3(3:0)
        SIGNAL Clk_50MHz
        SIGNAL Test(1:0)
        SIGNAL Clk_xxxHz
        SIGNAL An3
        SIGNAL An2
        SIGNAL An1
        SIGNAL An0
        SIGNAL S1
        SIGNAL XLXN_3
        SIGNAL Dp3
        SIGNAL Dp2
        SIGNAL Dp1
        SIGNAL Dp0
        PORT Output dp
        PORT Output a
        PORT Output b
        PORT Output c
        PORT Output d
        PORT Output e
        PORT Output f
        PORT Output g
        PORT Input Bcd0(3:0)
        PORT Input Bcd1(3:0)
        PORT Input Bcd2(3:0)
        PORT Input Bcd3(3:0)
        PORT Input Clk_50MHz
        PORT Input Test(1:0)
        PORT Output Clk_xxxHz
        PORT Output An3
        PORT Output An2
        PORT Output An1
        PORT Output An0
        PORT Input Dp3
        PORT Input Dp2
        PORT Input Dp1
        PORT Input Dp0
        BEGIN BLOCKDEF clock_scale
            TIMESTAMP 2005 10 3 19 41 28
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF count2bit_vhdl
            TIMESTAMP 2005 10 3 19 41 36
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF mux4x4_1x4_vhdl
            TIMESTAMP 2005 10 4 7 46 32
            RECTANGLE N 64 -640 320 0 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -608 384 -608 
            LINE N 64 -288 0 -288 
            LINE N 64 -352 0 -352 
            LINE N 304 -224 368 -224 
            RECTANGLE N 304 -236 368 -212 
        END BLOCKDEF
        BEGIN BLOCKDEF bcd27segm_vhdl
            TIMESTAMP 2005 10 3 19 40 58
            RECTANGLE N 64 -448 320 0 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF dec2to4_vhdl
            TIMESTAMP 2005 10 3 19 41 42
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_47 count2bit_vhdl
            PIN Clk_200Hz Clk_xxxHz
            PIN S1 S1
            PIN S0 XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_48 mux4x4_1x4_vhdl
            PIN Dp3 Dp3
            PIN Dp2 Dp2
            PIN Dp1 Dp1
            PIN Dp0 Dp0
            PIN A(3:0) Bcd0(3:0)
            PIN B(3:0) Bcd1(3:0)
            PIN C(3:0) Bcd2(3:0)
            PIN D(3:0) Bcd3(3:0)
            PIN Dp dp
            PIN S1 S1
            PIN S0 XLXN_3
            PIN Y(3:0) Bcd(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_46 clock_scale
            PIN Clk_50MHz Clk_50MHz
            PIN Test(1:0) Test(1:0)
            PIN Clk_xxxHZ Clk_xxxHz
        END BLOCK
        BEGIN BLOCK XLXI_52 bcd27segm_vhdl
            PIN Bcd(3:0) Bcd(3:0)
            PIN a a
            PIN b b
            PIN c c
            PIN d d
            PIN e e
            PIN f f
            PIN g g
        END BLOCK
        BEGIN BLOCK XLXI_53 dec2to4_vhdl
            PIN S1 S1
            PIN S0 XLXN_3
            PIN An3 An3
            PIN An2 An2
            PIN An1 An1
            PIN An0 An0
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH dp
            WIRE 1264 400 1296 400
            WIRE 1296 400 1296 1104
            WIRE 1296 1104 1840 1104
        END BRANCH
        BEGIN BRANCH a
            WIRE 1808 656 1840 656
        END BRANCH
        BEGIN BRANCH b
            WIRE 1808 720 1840 720
        END BRANCH
        BEGIN BRANCH c
            WIRE 1808 784 1840 784
        END BRANCH
        BEGIN BRANCH d
            WIRE 1808 848 1840 848
        END BRANCH
        BEGIN BRANCH e
            WIRE 1808 912 1840 912
        END BRANCH
        BEGIN BRANCH f
            WIRE 1808 976 1840 976
        END BRANCH
        BEGIN BRANCH g
            WIRE 1808 1040 1840 1040
        END BRANCH
        RECTANGLE N 1900 640 2880 1120 
        LINE N 2140 676 2140 1084 
        LINE N 2388 680 2388 1084 
        LINE N 2636 680 2636 1064 
        BEGIN RECTANGLE N 1948 688 2088 708 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1928 724 1952 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2088 724 2112 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1948 880 2088 900 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1928 916 1952 1048 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1948 1052 2088 1072 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2096 912 2120 1044 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2100 1076 2120 1104 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN DISPLAY 1964 664 TEXT a
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2060 740 TEXT b
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2072 936 TEXT c
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1976 1032 TEXT d
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1960 940 TEXT e
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1964 740 TEXT f
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2040 852 TEXT g
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2048 1088 TEXT dp
            FONT 48 "Arial"
        END DISPLAY
        BEGIN RECTANGLE N 2188 688 2328 708 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2444 688 2584 708 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2684 688 2824 708 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2168 724 2192 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2344 724 2368 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2408 724 2432 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2584 724 2608 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2648 724 2672 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2840 724 2864 856 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2204 880 2344 900 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2444 880 2584 900 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2700 880 2840 900 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2168 916 2192 1048 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2344 916 2368 1048 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2408 916 2432 1048 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2584 916 2608 1048 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2664 916 2688 1048 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2840 916 2864 1048 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2204 1052 2344 1072 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2444 1052 2584 1072 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2700 1052 2840 1072 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2356 1076 2376 1104 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2596 1076 2616 1104 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2852 1076 2872 1104 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN BRANCH Bcd(3:0)
            WIRE 1248 784 1376 784
            WIRE 1376 656 1376 784
            WIRE 1376 656 1424 656
        END BRANCH
        BEGIN BRANCH Bcd0(3:0)
            WIRE 832 784 880 784
        END BRANCH
        BEGIN BRANCH Bcd1(3:0)
            WIRE 832 848 880 848
        END BRANCH
        BEGIN BRANCH Bcd2(3:0)
            WIRE 832 912 880 912
        END BRANCH
        BEGIN BRANCH Bcd3(3:0)
            WIRE 832 976 880 976
        END BRANCH
        BEGIN BRANCH Clk_50MHz
            WIRE 192 368 288 368
            WIRE 288 368 304 368
        END BRANCH
        BEGIN BRANCH Test(1:0)
            WIRE 160 432 288 432
            WIRE 288 432 304 432
        END BRANCH
        BEGIN INSTANCE XLXI_48 880 1008 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_46 304 464 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_52 1424 1072 R0
        END INSTANCE
        BEGIN BRANCH An3
            WIRE 1344 1248 2032 1248
            WIRE 2032 1200 2032 1248
        END BRANCH
        BEGIN BRANCH An2
            WIRE 1344 1312 2272 1312
            WIRE 2272 1200 2272 1312
        END BRANCH
        BEGIN BRANCH An1
            WIRE 1344 1376 2528 1376
            WIRE 2528 1200 2528 1376
        END BRANCH
        BEGIN BRANCH An0
            WIRE 1344 1440 2768 1440
            WIRE 2768 1200 2768 1440
        END BRANCH
        BEGIN INSTANCE XLXI_53 960 1472 R0
        END INSTANCE
        BEGIN BRANCH S1
            WIRE 544 720 624 720
            WIRE 624 720 624 1248
            WIRE 624 1248 960 1248
            WIRE 624 720 880 720
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 544 656 592 656
            WIRE 592 656 880 656
            WIRE 592 656 592 1440
            WIRE 592 1440 960 1440
        END BRANCH
        BEGIN BRANCH Dp3
            WIRE 848 400 880 400
        END BRANCH
        BEGIN BRANCH Dp2
            WIRE 848 464 880 464
        END BRANCH
        BEGIN BRANCH Dp1
            WIRE 848 528 880 528
        END BRANCH
        BEGIN BRANCH Dp0
            WIRE 848 592 880 592
        END BRANCH
        IOMARKER 1840 656 a R0 28
        IOMARKER 1840 720 b R0 28
        IOMARKER 1840 784 c R0 28
        IOMARKER 1840 848 d R0 28
        IOMARKER 1840 912 e R0 28
        IOMARKER 1840 976 f R0 28
        IOMARKER 1840 1040 g R0 28
        IOMARKER 1840 1104 dp R0 28
        IOMARKER 2768 1200 An0 R270 28
        IOMARKER 2528 1200 An1 R270 28
        IOMARKER 2272 1200 An2 R270 28
        IOMARKER 2032 1200 An3 R270 28
        IOMARKER 832 784 Bcd0(3:0) R180 28
        IOMARKER 832 848 Bcd1(3:0) R180 28
        IOMARKER 832 912 Bcd2(3:0) R180 28
        IOMARKER 832 976 Bcd3(3:0) R180 28
        IOMARKER 720 256 Clk_xxxHz R0 28
        IOMARKER 848 592 Dp0 R180 28
        IOMARKER 848 528 Dp1 R180 28
        IOMARKER 848 464 Dp2 R180 28
        IOMARKER 848 400 Dp3 R180 28
        RECTANGLE N 968 176 2608 268 
        BEGIN DISPLAY 1016 236 TEXT "Diagram for component:  Muxdisplay Ver. 2"
            FONT 64 "Courier New"
            TEXTCOLOR 0 0 255
        END DISPLAY
        BEGIN BRANCH Clk_xxxHz
            WIRE 160 496 704 496
            WIRE 160 496 160 656
            WIRE 688 368 704 368
            WIRE 704 368 704 496
            WIRE 704 256 720 256
            WIRE 704 256 704 368
        END BRANCH
        BEGIN INSTANCE XLXI_47 160 752 R0
        END INSTANCE
        IOMARKER 160 432 Test(1:0) R180 28
        IOMARKER 192 368 Clk_50MHz R180 28
        BEGIN DISPLAY 168 412 TEXT Sw1:Sw0
            FONT 32 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
