--------------------------------------------------------------------------------
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;

ENTITY TB_Bcd27segm_VHDL IS
END TB_Bcd27segm_VHDL;
 
ARCHITECTURE behavior OF TB_Bcd27segm_VHDL IS 
    -------------------------------- Component Declaration for the Unit Under Test (UUT)
    COMPONENT Bcd27segm_VHDL
    PORT(
         Bcd : IN  std_logic_vector(3 downto 0);
         a : OUT  std_logic;
         b : OUT  std_logic;
         c : OUT  std_logic;
         d : OUT  std_logic;
         e : OUT  std_logic;
         f : OUT  std_logic;
         g : OUT  std_logic);
    END COMPONENT; 
   ----------------------------------------------------------------- Inputs
   signal Bcd : std_logic_vector(3 downto 0) := (others => '0');
 	----------------------------------------------------------------- Outputs
   signal a : std_logic;
   signal b : std_logic;
   signal c : std_logic;
   signal d : std_logic;
   signal e : std_logic;
   signal f : std_logic;
   signal g : std_logic;
BEGIN
	--------------------------------------------- Instantiate the Unit Under Test (UUT)
   uut: Bcd27segm_VHDL PORT MAP (
          Bcd => Bcd,
          a => a,
          b => b,
          c => c,
          d => d,
          e => e,
          f => f,
          g => g);
   ------------------------------------------------- Stimulus process
   stim_proc: process
   begin		
      for i in 0 to 15 loop
         Bcd <= conv_std_logic_vector( i, 4);
         wait for 20 ns;
      end loop;
      wait;
   end process;
END;
