--------------------------------------------------------------------------------
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;
 
ENTITY TB_Count2vit_VHDL IS
END TB_Count2vit_VHDL;
 
ARCHITECTURE behavior OF TB_Count2vit_VHDL IS 
    -------------------------------- Component Declaration for the Unit Under Test (UUT)
    COMPONENT Count2bit_VHDL
    PORT(
         Clk_200Hz : IN  std_logic;
         S1 : OUT  std_logic;
         S0 : OUT  std_logic);
    END COMPONENT;
   -------------------------------------Inputs
   signal Clk_200Hz : std_logic := '0';
 	-------------------------------------Outputs
   signal S1 : std_logic;
   signal S0 : std_logic;
   ---------------------------------------------- Clock period definitions
   constant Clk_200Hz_period : time := 100 ns;
BEGIN
	------------------------------------ Instantiate the Unit Under Test (UUT)
   uut: Count2bit_VHDL PORT MAP (
          Clk_200Hz => Clk_200Hz,
          S1 => S1,
          S0 => S0);
   ------------------------------------ Clock process definitions
   Clk_200Hz_process :process
   begin
		Clk_200Hz <= '0';
		wait for Clk_200Hz_period/2;
		Clk_200Hz <= '1';
		wait for Clk_200Hz_period/2;
   end process;
 
END;
