VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Bcd(3:0)
        SIGNAL Bcd0(3:0)
        SIGNAL Bcd1(3:0)
        SIGNAL Bcd2(3:0)
        SIGNAL Bcd3(3:0)
        SIGNAL Dp0
        SIGNAL Dp1
        SIGNAL Dp2
        SIGNAL Dp3
        SIGNAL dp
        SIGNAL Clk_50MHz
        SIGNAL Test(1:0)
        SIGNAL a
        SIGNAL b
        SIGNAL c
        SIGNAL d
        SIGNAL e
        SIGNAL f
        SIGNAL g
        SIGNAL Clk_xxxHz
        SIGNAL XLXN_50
        SIGNAL XLXN_51
        SIGNAL XLXN_52
        SIGNAL XLXN_53
        SIGNAL An0
        SIGNAL An1
        SIGNAL An2
        SIGNAL An3
        SIGNAL S0
        SIGNAL S1
        SIGNAL XLXN_80
        PORT Input Bcd0(3:0)
        PORT Input Bcd1(3:0)
        PORT Input Bcd2(3:0)
        PORT Input Bcd3(3:0)
        PORT Input Dp0
        PORT Input Dp1
        PORT Input Dp2
        PORT Input Dp3
        PORT Output dp
        PORT Input Clk_50MHz
        PORT Input Test(1:0)
        PORT Output a
        PORT Output b
        PORT Output c
        PORT Output d
        PORT Output e
        PORT Output f
        PORT Output g
        PORT Output Clk_xxxHz
        PORT Output An0
        PORT Output An1
        PORT Output An2
        PORT Output An3
        BEGIN BLOCKDEF bcd27segm_ver1
            TIMESTAMP 2005 9 11 12 18 50
            RECTANGLE N 64 -448 320 0 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF mux4x4_1x4
            TIMESTAMP 2005 9 11 12 50 6
            RECTANGLE N 64 -640 320 0 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -620 384 -596 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF d2_4e
            TIMESTAMP 2001 2 2 12 36 51
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 384 -128 320 -128 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 2 2 12 38 38
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 2 2 12 37 29
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF clock_scale_ver1
            TIMESTAMP 2005 10 3 16 33 36
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF count2bit
            TIMESTAMP 2005 10 3 16 34 34
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK U1 bcd27segm_ver1
            PIN Bcd(3:0) Bcd(3:0)
            PIN a a
            PIN b b
            PIN c c
            PIN d d
            PIN e e
            PIN f f
            PIN g g
        END BLOCK
        BEGIN BLOCK XLXI_5 mux4x4_1x4
            PIN S0 S0
            PIN S1 S1
            PIN A(3:0) Bcd0(3:0)
            PIN B(3:0) Bcd1(3:0)
            PIN C(3:0) Bcd2(3:0)
            PIN D(3:0) Bcd3(3:0)
            PIN Dp0 Dp0
            PIN Dp1 Dp1
            PIN Dp2 Dp2
            PIN Dp3 Dp3
            PIN Y(3:0) Bcd(3:0)
            PIN dp dp
        END BLOCK
        BEGIN BLOCK XLXI_18 d2_4e
            PIN A0 S0
            PIN A1 S1
            PIN E XLXN_80
            PIN D0 XLXN_50
            PIN D1 XLXN_51
            PIN D2 XLXN_52
            PIN D3 XLXN_53
        END BLOCK
        BEGIN BLOCK XLXI_21 inv
            PIN I XLXN_52
            PIN O An2
        END BLOCK
        BEGIN BLOCK XLXI_22 inv
            PIN I XLXN_53
            PIN O An3
        END BLOCK
        BEGIN BLOCK XLXI_19 inv
            PIN I XLXN_50
            PIN O An0
        END BLOCK
        BEGIN BLOCK XLXI_20 inv
            PIN I XLXN_51
            PIN O An1
        END BLOCK
        BEGIN BLOCK XLXI_43 vcc
            PIN P XLXN_80
        END BLOCK
        BEGIN BLOCK XLXI_44 clock_scale_ver1
            PIN Clk_50MHz Clk_50MHz
            PIN Test(1:0) Test(1:0)
            PIN Clk_xxxHz Clk_xxxHz
        END BLOCK
        BEGIN BLOCK XLXI_45 count2bit
            PIN Clk_200hz Clk_xxxHz
            PIN S0 S0
            PIN S1 S1
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE U1 1280 896 R0
        END INSTANCE
        BEGIN BRANCH Bcd(3:0)
            WIRE 1232 480 1280 480
        END BRANCH
        BEGIN BRANCH Bcd0(3:0)
            WIRE 800 608 848 608
        END BRANCH
        BEGIN BRANCH Bcd1(3:0)
            WIRE 800 672 848 672
        END BRANCH
        BEGIN BRANCH Bcd2(3:0)
            WIRE 800 736 848 736
        END BRANCH
        BEGIN BRANCH Bcd3(3:0)
            WIRE 800 800 848 800
        END BRANCH
        BEGIN BRANCH Dp1
            WIRE 736 928 848 928
        END BRANCH
        BEGIN BRANCH Dp2
            WIRE 736 992 848 992
        END BRANCH
        BEGIN BRANCH Dp3
            WIRE 736 1056 848 1056
        END BRANCH
        BEGIN BRANCH dp
            WIRE 1232 928 1232 1056
            WIRE 1232 928 1712 928
        END BRANCH
        BEGIN BRANCH Clk_50MHz
            WIRE 240 192 304 192
        END BRANCH
        BEGIN BRANCH Test(1:0)
            WIRE 208 256 304 256
        END BRANCH
        BEGIN BRANCH a
            WIRE 1664 480 1712 480
        END BRANCH
        BEGIN BRANCH b
            WIRE 1664 544 1712 544
        END BRANCH
        BEGIN BRANCH c
            WIRE 1664 608 1712 608
        END BRANCH
        BEGIN BRANCH d
            WIRE 1664 672 1712 672
        END BRANCH
        BEGIN BRANCH e
            WIRE 1664 736 1712 736
        END BRANCH
        BEGIN BRANCH f
            WIRE 1664 800 1712 800
        END BRANCH
        BEGIN BRANCH g
            WIRE 1664 864 1712 864
        END BRANCH
        IOMARKER 1712 480 a R0 28
        IOMARKER 1712 544 b R0 28
        IOMARKER 1712 608 c R0 28
        IOMARKER 1712 672 d R0 28
        IOMARKER 1712 736 e R0 28
        IOMARKER 1712 800 f R0 28
        IOMARKER 1712 864 g R0 28
        IOMARKER 1712 928 dp R0 28
        IOMARKER 736 928 Dp1 R180 28
        IOMARKER 736 992 Dp2 R180 28
        IOMARKER 736 1056 Dp3 R180 28
        IOMARKER 240 192 Clk_50MHz R180 28
        RECTANGLE N 1772 464 2752 944 
        LINE N 2012 500 2012 908 
        LINE N 2260 504 2260 908 
        LINE N 2508 504 2508 888 
        BEGIN RECTANGLE N 1820 512 1960 532 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1800 548 1824 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1960 548 1984 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1820 704 1960 724 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1800 740 1824 872 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1820 876 1960 896 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1968 736 1992 868 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1972 900 1992 928 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN DISPLAY 1836 488 TEXT a
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1932 564 TEXT b
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1944 760 TEXT c
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1848 856 TEXT d
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1832 764 TEXT e
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1836 564 TEXT f
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1912 676 TEXT g
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1920 912 TEXT dp
            FONT 48 "Arial"
        END DISPLAY
        BEGIN RECTANGLE N 2060 512 2200 532 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2316 512 2456 532 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2556 512 2696 532 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2040 548 2064 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2216 548 2240 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2280 548 2304 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2456 548 2480 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2520 548 2544 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2712 548 2736 680 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2076 704 2216 724 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2316 704 2456 724 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2572 704 2712 724 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2040 740 2064 872 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2216 740 2240 872 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2280 740 2304 872 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2456 740 2480 872 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2536 740 2560 872 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2712 740 2736 872 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2076 876 2216 896 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2316 876 2456 896 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2572 876 2712 896 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2228 900 2248 928 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2468 900 2488 928 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2724 900 2744 928 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN BRANCH Clk_xxxHz
            WIRE 96 320 704 320
            WIRE 96 320 96 480
            WIRE 96 480 128 480
            WIRE 688 192 704 192
            WIRE 704 192 704 320
            WIRE 704 192 784 192
        END BRANCH
        BEGIN INSTANCE XLXI_5 848 1088 R0
        END INSTANCE
        IOMARKER 800 608 Bcd0(3:0) R180 28
        IOMARKER 800 672 Bcd1(3:0) R180 28
        IOMARKER 800 736 Bcd2(3:0) R180 28
        INSTANCE XLXI_18 848 1568 R0
        BEGIN BRANCH XLXN_50
            WIRE 1232 1248 1536 1248
        END BRANCH
        BEGIN BRANCH XLXN_51
            WIRE 1232 1312 1440 1312
        END BRANCH
        BEGIN BRANCH XLXN_52
            WIRE 1232 1376 1376 1376
        END BRANCH
        BEGIN BRANCH XLXN_53
            WIRE 1232 1440 1312 1440
        END BRANCH
        INSTANCE XLXI_19 1536 1280 R0
        INSTANCE XLXI_20 1440 1344 R0
        INSTANCE XLXI_21 1376 1408 R0
        INSTANCE XLXI_22 1312 1472 R0
        BEGIN BRANCH An0
            WIRE 1760 1248 2640 1248
            WIRE 2640 1024 2640 1248
        END BRANCH
        BEGIN BRANCH An1
            WIRE 1664 1312 2400 1312
            WIRE 2400 1024 2400 1312
        END BRANCH
        BEGIN BRANCH An2
            WIRE 1600 1376 2144 1376
            WIRE 2144 1024 2144 1376
        END BRANCH
        BEGIN BRANCH An3
            WIRE 1536 1440 1904 1440
            WIRE 1904 1024 1904 1440
        END BRANCH
        IOMARKER 2640 1024 An0 R270 28
        IOMARKER 2400 1024 An1 R270 28
        IOMARKER 2144 1024 An2 R270 28
        IOMARKER 1904 1024 An3 R270 28
        BEGIN BRANCH S0
            WIRE 512 480 608 480
            WIRE 608 480 848 480
            WIRE 608 480 608 1248
            WIRE 608 1248 848 1248
        END BRANCH
        BEGIN BRANCH S1
            WIRE 512 544 560 544
            WIRE 560 544 848 544
            WIRE 560 544 560 1312
            WIRE 560 1312 848 1312
        END BRANCH
        INSTANCE XLXI_43 784 1504 R270
        BEGIN BRANCH XLXN_80
            WIRE 784 1440 848 1440
        END BRANCH
        IOMARKER 784 192 Clk_xxxHz R0 28
        IOMARKER 208 256 Test(1:0) R180 28
        BEGIN BRANCH Dp0
            WIRE 736 864 832 864
            WIRE 832 864 848 864
        END BRANCH
        IOMARKER 736 864 Dp0 R180 28
        IOMARKER 800 800 Bcd3(3:0) R180 28
        BEGIN INSTANCE XLXI_44 304 288 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_45 128 576 R0
        END INSTANCE
        BEGIN DISPLAY 1148 224 TEXT "Diagram for component:  Muxdisplay"
            FONT 64 "Courier New"
            TEXTCOLOR 0 0 255
        END DISPLAY
        RECTANGLE N 1092 176 2580 272 
    END SHEET
END SCHEMATIC
