VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Dp
        SIGNAL a
        SIGNAL b
        SIGNAL c
        SIGNAL d
        SIGNAL e
        SIGNAL f
        SIGNAL g
        SIGNAL Clkx
        SIGNAL Btn0
        SIGNAL Sw3
        SIGNAL Count_Enable
        SIGNAL Clr
        SIGNAL An0
        SIGNAL An1
        SIGNAL An2
        SIGNAL An3
        SIGNAL Sw4
        SIGNAL Sw5
        SIGNAL Sw6
        SIGNAL Sw7
        SIGNAL Test(1:0)
        SIGNAL Clk_50MHz
        SIGNAL Bcd0(3:0)
        SIGNAL Bcd1(3:0)
        SIGNAL Bcd2(3:0)
        SIGNAL Bcd3(3:0)
        PORT Output Dp
        PORT Output a
        PORT Output b
        PORT Output c
        PORT Output d
        PORT Output e
        PORT Output f
        PORT Output g
        PORT Input Btn0
        PORT Input Sw3
        PORT Input Count_Enable
        PORT Input Clr
        PORT Output An0
        PORT Output An1
        PORT Output An2
        PORT Output An3
        PORT Input Sw4
        PORT Input Sw5
        PORT Input Sw6
        PORT Input Sw7
        PORT Input Test(1:0)
        PORT Input Clk_50MHz
        BEGIN BLOCKDEF test_counter_vhdl
            TIMESTAMP 2005 10 4 7 4 46
            RECTANGLE N 64 -320 320 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -128 384 -128 
            RECTANGLE N 320 -140 384 -116 
            LINE N 320 -208 384 -208 
            RECTANGLE N 320 -220 384 -196 
            LINE N 320 -48 384 -48 
            RECTANGLE N 320 -60 384 -36 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -300 384 -276 
        END BLOCKDEF
        BEGIN BLOCKDEF muxdisplay_ver2
            TIMESTAMP 2005 10 4 7 52 56
            RECTANGLE N 64 -832 320 0 
            LINE N 64 -800 0 -800 
            RECTANGLE N 0 -812 64 -788 
            LINE N 64 -720 0 -720 
            RECTANGLE N 0 -732 64 -708 
            LINE N 64 -640 0 -640 
            RECTANGLE N 0 -652 64 -628 
            LINE N 64 -560 0 -560 
            RECTANGLE N 0 -572 64 -548 
            LINE N 64 -480 0 -480 
            LINE N 64 -400 0 -400 
            RECTANGLE N 0 -412 64 -388 
            LINE N 64 -320 0 -320 
            LINE N 64 -240 0 -240 
            LINE N 64 -160 0 -160 
            LINE N 64 -80 0 -80 
            LINE N 320 -800 384 -800 
            LINE N 320 -736 384 -736 
            LINE N 320 -672 384 -672 
            LINE N 320 -608 384 -608 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_14 muxdisplay_ver2
            PIN Bcd0(3:0) Bcd0(3:0)
            PIN Bcd1(3:0) Bcd1(3:0)
            PIN Bcd2(3:0) Bcd2(3:0)
            PIN Bcd3(3:0) Bcd3(3:0)
            PIN Clk_50MHz Clk_50MHz
            PIN Test(1:0) Test(1:0)
            PIN Dp3 Sw7
            PIN Dp2 Sw6
            PIN Dp1 Sw5
            PIN Dp0 Sw4
            PIN dp Dp
            PIN a a
            PIN b b
            PIN c c
            PIN d d
            PIN e e
            PIN f f
            PIN g g
            PIN An0 An0
            PIN An1 An1
            PIN An2 An2
            PIN An3 An3
            PIN Clk_xxxHz Clkx
        END BLOCK
        BEGIN BLOCK XLXI_15 test_counter_vhdl
            PIN Clk_xxxHz Clkx
            PIN Step_Clk Btn0
            PIN Select_Clk Sw3
            PIN Clr Clr
            PIN Count_Enable Count_Enable
            PIN Bcd2(3:0) Bcd2(3:0)
            PIN Bcd1(3:0) Bcd1(3:0)
            PIN Bcd3(3:0) Bcd3(3:0)
            PIN Bcd0(3:0) Bcd0(3:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Dp
            WIRE 1584 320 1680 320
        END BRANCH
        BEGIN BRANCH a
            WIRE 1584 384 1680 384
        END BRANCH
        BEGIN BRANCH b
            WIRE 1584 448 1680 448
        END BRANCH
        BEGIN BRANCH c
            WIRE 1584 512 1680 512
        END BRANCH
        BEGIN BRANCH d
            WIRE 1584 576 1680 576
        END BRANCH
        BEGIN BRANCH e
            WIRE 1584 640 1680 640
        END BRANCH
        BEGIN BRANCH f
            WIRE 1584 704 1680 704
        END BRANCH
        BEGIN BRANCH g
            WIRE 1584 768 1680 768
        END BRANCH
        BEGIN BRANCH Clkx
            WIRE 240 320 240 1200
            WIRE 240 1200 1648 1200
            WIRE 240 320 512 320
            WIRE 1584 1088 1648 1088
            WIRE 1648 1088 1648 1136
            WIRE 1648 1136 1648 1200
            BEGIN DISPLAY 1648 1136 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Btn0
            WIRE 480 384 496 384
            WIRE 496 384 512 384
        END BRANCH
        BEGIN BRANCH Sw3
            WIRE 480 448 496 448
            WIRE 496 448 512 448
        END BRANCH
        BEGIN BRANCH Count_Enable
            WIRE 480 576 496 576
            WIRE 496 576 512 576
        END BRANCH
        BEGIN BRANCH Clr
            WIRE 464 512 496 512
            WIRE 496 512 512 512
        END BRANCH
        IOMARKER 1680 320 Dp R0 28
        IOMARKER 1680 384 a R0 28
        IOMARKER 1680 448 b R0 28
        IOMARKER 1680 512 c R0 28
        IOMARKER 1680 576 d R0 28
        IOMARKER 1680 640 e R0 28
        IOMARKER 1680 704 f R0 28
        IOMARKER 1680 768 g R0 28
        BEGIN BRANCH An0
            WIRE 1584 832 1664 832
        END BRANCH
        BEGIN BRANCH An1
            WIRE 1584 896 1664 896
        END BRANCH
        BEGIN BRANCH An2
            WIRE 1584 960 1664 960
        END BRANCH
        BEGIN BRANCH An3
            WIRE 1584 1024 1664 1024
        END BRANCH
        BEGIN INSTANCE XLXI_14 1200 1120 R0
        END INSTANCE
        BEGIN BRANCH Sw4
            WIRE 1152 800 1184 800
            WIRE 1184 800 1200 800
        END BRANCH
        BEGIN BRANCH Sw5
            WIRE 1152 880 1184 880
            WIRE 1184 880 1200 880
        END BRANCH
        BEGIN BRANCH Sw6
            WIRE 1152 960 1184 960
            WIRE 1184 960 1200 960
        END BRANCH
        BEGIN BRANCH Sw7
            WIRE 1152 1040 1184 1040
            WIRE 1184 1040 1200 1040
        END BRANCH
        BEGIN BRANCH Test(1:0)
            WIRE 1008 720 1184 720
            WIRE 1184 720 1200 720
        END BRANCH
        BEGIN BRANCH Clk_50MHz
            WIRE 1040 640 1184 640
            WIRE 1184 640 1200 640
        END BRANCH
        IOMARKER 1664 832 An0 R0 28
        IOMARKER 1664 896 An1 R0 28
        IOMARKER 1664 960 An2 R0 28
        IOMARKER 1664 1024 An3 R0 28
        BEGIN INSTANCE XLXI_15 512 608 R0
        END INSTANCE
        BEGIN BRANCH Bcd0(3:0)
            WIRE 896 320 1008 320
            WIRE 1008 320 1200 320
            BEGIN DISPLAY 1008 320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bcd1(3:0)
            WIRE 896 400 1008 400
            WIRE 1008 400 1200 400
            BEGIN DISPLAY 1008 400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bcd2(3:0)
            WIRE 896 480 1008 480
            WIRE 1008 480 1200 480
            BEGIN DISPLAY 1008 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Bcd3(3:0)
            WIRE 896 560 1008 560
            WIRE 1008 560 1200 560
            BEGIN DISPLAY 1008 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 480 576 Count_Enable R180 28
        IOMARKER 480 384 Btn0 R180 28
        IOMARKER 480 448 Sw3 R180 28
        IOMARKER 464 512 Clr R180 28
        BEGIN DISPLAY 492 560 TEXT Sw2
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 488 496 TEXT Btn3
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 492 432 TEXT Sw3
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 492 368 TEXT Btn0
            FONT 32 "Arial"
        END DISPLAY
        IOMARKER 1008 720 Test(1:0) R180 28
        IOMARKER 1040 640 Clk_50MHz R180 28
        BEGIN DISPLAY 1032 696 TEXT Sw1:Sw0
            FONT 32 "Arial"
        END DISPLAY
        IOMARKER 1152 800 Sw4 R180 28
        IOMARKER 1152 880 Sw5 R180 28
        IOMARKER 1152 960 Sw6 R180 28
        IOMARKER 1152 1040 Sw7 R180 28
    END SHEET
END SCHEMATIC
